Intel XL710 - i40e driver does not work with kernel 4.15 (Ubuntu 18.04)

Bug #1779756 reported by Vivien GUEANT on 2018-07-02
28
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Bionic
High
Nivedita Singhvi
Cosmic
High
Nivedita Singhvi

Bug Description

[Impact]
The i40e driver can get stalled on tx timeouts. This can happen when
DCB is enabled on the connected switch. This can also trigger a
second situation when a tx timeout occurs before the recovery of
a previous timeout has completed due to CPU load, which is not
handled correctly. This leads to networking delays, drops and
application timeouts and hangs. Note that the first tx timeout
cause is just one of the ways to end up in the second situation.

This issue was seen on a heavily loaded Kafka broker node running
the 4.15.0-38-generic kernel on Xenial.

Symptoms include messages in the kernel log of the form:

---
[4733544.982116] i40e 0000:18:00.1 eno2: tx_timeout: VSI_seid: 390, Q 6, NTC: 0x1a0, HWB: 0x66, NTU: 0x66, TAIL: 0x66, INT: 0x0
[4733544.982119] i40e 0000:18:00.1 eno2: tx_timeout recovery level 1, hung_queue 6
----

With the test kernel provided in this LP bug which had these
two commits compiled in, the problem has not been seen again,
and has been running successfully for several months:

"i40e: Fix for Tx timeouts when interface is brought up if
 DCB is enabled"
Commit: fa38e30ac73fbb01d7e5d0fd1b12d412fa3ac3ee

"i40e: prevent overlapping tx_timeout recover"
Commit: d5585b7b6846a6d0f9517afe57be3843150719da

* The first commit is already in Disco, Cosmic
* The second commit is already in Disco
* Bionic needs both patches and Cosmic needs the second

[Test Case]
* We are considering the case of both issues above occurring.
* Seen by reporter on a Kafka broker node with heavy traffic.
* Not easy to reproduce as it requires something like the
  following example environment and heavy load:

  Kernel: 4.15.0-38-generic
  Network driver: i40e
        version: 2.1.14-k
        firmware-version: 6.00 0x800034e6 18.3.6
  NIC: Intel 40Gb XL710
  DCB enabled

[Regression Potential]
Low, as the first only impacts i40e DCB environment, and has
been running for several months in production-load testing
successfully.

--- Original Description
Today Ubuntu 16.04 LTS Enablement Stacks has moved from the Kernel 4.13 to the Kernel 4.15.0-24-generic.

On a "Dell PowerEdge R330" server with a network adapter "Intel Ethernet Converged Network Adapter X710-DA2" (driver i40e) the network card no longer works and permanently displays these three lines :

[ 98.012098] i40e 0000:01:00.0 enp1s0f0: tx_timeout: VSI_seid: 388, Q 8, NTC: 0x0, HWB: 0x0, NTU: 0x1, TAIL: 0x1, INT: 0x1
[ 98.012119] i40e 0000:01:00.0 enp1s0f0: tx_timeout recovery level 11, hung_queue 8
[ 98.012125] i40e 0000:01:00.0 enp1s0f0: tx_timeout recovery unsuccessful

CVE References

Vivien GUEANT (vivienfr) wrote :
affects: ichthux → ubuntu
affects: ubuntu → linux-meta-hwe (Ubuntu)
Vivien GUEANT (vivienfr) wrote :

dmesg | grep i40e to see error :

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-meta-hwe (Ubuntu):
status: New → Confirmed
Randy Orr (randy-orr) wrote :

This same issue also impacts 18.04 with kernel 4.15.0-33-generic

Janåke Rönnblom (jan-ake) wrote :

What firmware do you have on your i40e/X710 cards?

-J

Vivien GUEANT (vivienfr) wrote :

firmware of Intel X710-DA2 (in Dell PowerEdge R330) :

- "fw 5.0.40043 api 1.5 nvm 5.05 0x80002899 17.5.11" : no internet access possible

- "fw 6.80.48812 api 1.7 nvm 6.00 0x80003751 18.5.17" : Internet access possible with many errors

only some servers are affected by this problem. I found a difference:

The problem-free machines have a line:
[ 2.522869] i40e 0000:02:00.0: Features: PF-id[0] VFs: 64 VSIs: 66 QP: 8 RSS FD_ATR FD_SB NTUPLE DCB VxLAN Geneve PTP VEPA

Those with errors have a line:
[ 2.932705] i40e 0000:01:00.0: Features: PF-id[0] VFs: 64 VSIs: 66 QP: 16 RSS FD_ATR FD_SB NTUPLE DCB VxLAN Geneve PTP VEPA

QP (num_queue_pairs) = 8 => ok all is ok with Kernel 4.13 and kernel 4.15
QP (num_queue_pairs) = 16 => ok all is ok with Kernel 4.13 but not with Kernel 4.15

I have a similar problem.

My setup is a little different:
        67:00.0 Ethernet controller [0200]: Intel Corporation Ethernet Connection X722 for 10GBASE-T [8086:37d2] (rev 09)
        Subsystem: Fujitsu Technology Solutions Ethernet Connection X722 for 10GBASE-T [1734:1230]
        Kernel driver in use: i40e
        Kernel modules: i40e

on a "Fujitsu PRIMERGY RX2540 M4", but the driver in use is the same.

My setup (two of these cards with LACP) worked with Ubuntu 16.04 with kernel 4.13, but with 4.15, the card is behaving strangely, even without LACP. Update to ubuntu 18.04.1 does not solve the problem, nor does running any other kernel (I tried up to 4.19rc5) with 18.04.1.

The behavior for me is the following: after boot, the network does not work at all (no ping in either direction, DNS name resolution seems to be work though). Then, when trying to ping from or to the machine, at some point, that starts to work for *some* IPs. It seems that the issue gets smaller as soon as I have a connection with some other server and put some load on the network.

I already updated the firmware of the card, but that didn't help.
Before, it was
fw 3.1.54559 api 1.5 nvm 3.2d 0x80000b5f 1.1693.0
and I then updated to
fw 3.1.52520 api 1.5 nvm 3.33 0x800010ef 1.1876.0.

I also tried it with a live image of ubuntu 16.04.5 and 18.04.1; in both cases, I do not get a stable network connection.

Vivien GUEANT (vivienfr) wrote :

In troubleshooting, you can use Ubuntu 16.04 with kernel 4.4: it is always maintained and does not pose a problem.

can you give the dmesg line with a Kernel 4.15 ?

Ex: [ 2.932705] i40e 0000:01:00.0: Features: PF-id[0] VFs: 64 VSIs: 66 QP: 16 RSS FD_ATR FD_SB NTUPLE DCB VxLAN Geneve PTP VEPA

Vivien GUEANT (vivienfr) wrote :

Cf bug https://bugs.launchpad.net/ubuntu/+source/linux-firmware/+bug/1795587

Intel released the 6.01 Firmware for the Intel XL710 network cards. As stated in the feature support matrix [1] in the table 9 on page 18, the minimum kernel driver version for the 6.01 Firmware i40e must be 2.1.26, the recent driver version is 2.4.10 [2]

The i40 driver version included in the 4.15.0-36 (Bionic, LTS) is 2.1.14-k.

$ uname -a
Linux ubuntu-bionic 4.15.0-36-generic #39-Ubuntu SMP Mon Sep 24 16:19:09 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

$ modinfo i40e
filename: /lib/modules/4.15.0-36-generic/kernel/drivers/net/ethernet/intel/i40e/i40e.ko
version: 2.1.14-k
license: GPL
description: Intel(R) Ethernet Connection XL710 Network Driver

Release notes: [3] [4] [5] [6] [7]

The firmware 6.01 introduce better performance for DPDK and SR-IOV applications for those cards, and NFV application workloads would perform better.

[1] Intel® Ethernet Controller X710/ XXV710/XL710 Feature Support Matrix
https://www.intel.com/content/dam/www/public/us/en/documents/release-notes/xl710-ethernet-controller-feature-matrix.pdf

[2] Intel® Network Adapter Driver for PCIe* 40 Gigabit Ethernet Network Connections Under Linux*
https://downloadcenter.intel.com/download/24411/Intel-Network-Adapter-Driver-for-PCIe-40-Gigabit-Ethernet-Network-Connections-Under-Linux-?product=75021

[3] Intel(R) Network Connections Software Version 23.2 Release Notes
https://downloadmirror.intel.com/24411/eng/readme.txt

[4] Intel(R) Network Connections Software Version 23.1 Release Notes
https://downloadmirror.intel.com/27869/eng/readme.txt

[5] Intel(R) Network Connections Software Version 22.10 Release Notes
https://downloadmirror.intel.com/27547/eng/readme.txt

[6] Intel(R) Network Connections Software Version 22.9 Release Notes
https://downloadmirror.intel.com/27547/eng/readme.txt

[7] Intel(R) Network Connections Software Version 22.6 Release Notes
https://downloadmirror.intel.com/27189/eng/readme.txt

affects: linux-meta-hwe (Ubuntu) → linux-firmware (Ubuntu)
Vivien GUEANT (vivienfr) on 2018-10-05
summary: - i40e driver does not work with kernel 4.15
+ Intel XL710 - i40e driver does not work with kernel 4.15 (Ubuntu 18.04)
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.19 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.19-rc6

Changed in linux-firmware (Ubuntu):
importance: Undecided → High
affects: linux-firmware (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu Bionic):
importance: Undecided → High
status: New → Triaged
Changed in linux (Ubuntu):
status: Confirmed → Triaged
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Bionic):
assignee: nobody → Joseph Salisbury (jsalisbury)

This is the dmesg line with 4.15.0-34-generic (machine with 24 logical cores).

[ 3.743484] i40e 0000:67:00.0: Features: PF-id[0] VFs: 32 VSIs: 66 QP: 24 RSS FD_ATR FD_SB NTUPLE DCB VxLAN Geneve PTP VEPA

I already tried it with mainline kernel 4.19-rc5, I have the same problems with this kernel version (but I won't add the tag yet, as this is not the latest v4.19 (rc6)).

I also reported the bug to the "Intel Ethernet Drivers and Utilities" project: https://sourceforge.net/p/e1000/bugs/627/

Joseph Salisbury (jsalisbury) wrote :

The error appears to be different that the error posted in the bug description. The descriptions mentions a tx_timeout. Are you seeing that error still as well?

Also, the descriptions seems to indication this is a regression. Was there a specific prior kernel version that did not exhibit this but?

Will there be any change soon?

We got some Dell Machines here which heavily rely on the X710 Cards. The driver was buggy in 16.04 and still is. More than that, in 18.04 we find the same driver Version.

We don't see any progress and this is kind of annoying.

flynx (t-gollnick) wrote :

Using Ubuntu 16.04 LTS with hwe

Dell R730 with X710 for 10GbE SFP+ (driverversion=2.1.14-k duplex=full firmware=6.00 0x800034e6 18.3.6)

kernel 4.15.0-38-generic #41~16.04.1-Ubuntu SMP Wed Oct 10 20:16:04 UTC 2018

I get:

i40e 0000:01:00.0 eno1: tx_timeout: VSI_seid: 391, Q 25, NTC: 0x0, HWB: 0x0, NTU: 0xa, TAIL: 0xa, INT: 0x1
i40e 0000:01:00.0 eno1: tx_timeout recovery level 1, hung_queue 25
i40e 0000:01:00.0: VSI seid 391 Tx ring 0 disable timeout
bond0: link status definitely down for interface eno2, disabling it
bond0: first active interface up!
i40e 0000:01:00.1: Error I40E_AQ_RC_EINVAL adding RX filters on PF, promiscuous mode forced on

and it switches between eno1 and eno2, therefore no fun with iscsi

It simply does not work.

But it is fine with kernel 4.13.0-45-generic

No chance for 18.04 LTS so far.

Joseph Salisbury (jsalisbury) wrote :

We are awaiting a response from the original bug reporter, as it appears others are seeing different error messages.

It would probably be best for others seeing similar issues with this hardware to open new separate bug reports, so they can be tracked properly.

The first thing others should try as well is the latest mainline kernel to see if a commit upstream that fixes the bug is already available.

It can be downloaded from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.20-rc2

Changed in linux (Ubuntu Bionic):
status: Triaged → Incomplete
Changed in linux (Ubuntu):
status: Triaged → Incomplete
Markus Theil (thillux) wrote :

There are two different commits of newer date in the current mainline kernel, which seem to fix timeout problems related to i40e.

i40e: Fix for Tx timeouts when interface is brought up if DCB is enabled
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?h=v4.20-rc3&id=fa38e30ac73fbb01d7e5d0fd1b12d412fa3ac3ee

I assume, that this should fix the bug mentioned above, as DCB is enabled in the i40e dmesg output.

Another recent fix, makes reset after timeouts more seamless (as of today, only in linux-next):

i40e: prevent overlapping tx_timeout recover
https://git.kernel.org/pub/scm/linux/kernel/git/next/linux-next.git/commit/?h=next-20181120&id=d5585b7b6846a6d0f9517afe57be3843150719da

Vivien GUEANT (vivienfr) wrote :

How to know in which kernels are these patches?

Using the kernel linux-generic-hwe-18.04-edge (kernel used for Ubuntu 18.10) solves the problem ?

Changed in linux (Ubuntu):
status: Incomplete → In Progress
Changed in linux (Ubuntu Bionic):
status: Incomplete → In Progress
Joseph Salisbury (jsalisbury) wrote :

I built a test kernel with commits fa38e30ac73 and d5585b7b684. The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1779756

Can you test this kernel and see if it resolves this bug?

Note about installing test kernels:
• If the test kernel is prior to 4.15(Bionic) you need to install the linux-image and linux-image-extra .deb packages.
• If the test kernel is 4.15(Bionic) or newer, you need to install the linux-modules, linux-modules-extra and linux-image-unsigned .deb packages.

Thanks in advance!

Hi Joe,

I tried to install the Test Kernel on Xenial but I stumbled upon this dependency issue

sudo dpkg -i linux-headers-4.15.0-43-generic_4.15.0-43.47~lp1779756_amd64.deb
...
linux-headers-4.15.0-43-generic depends on libssl1.1 (>= 1.1.0); however:
Package libssl1.1 is not installed.

Unfortunately I can't find libssl1.1 for Xenial, only libssl1.0.0 is available for it.

Can you please create a Xenial adaptation of the 4.15 Test Kernel.

Thanks a lot in advance,
Szilard

Joseph Salisbury (jsalisbury) wrote :

You don't need to install the headers package for the test kernel. The
only packages you need to install are: linux-modules,
linux-modules-extra and linux-image-unsigned .deb packages.

Vivien GUEANT (vivienfr) wrote :

I updated the Ubuntu servers affected by the "tx_timeout" problem with the Kernel HWE
=> I do not meet any more "tx_timeout" since this update.

Command used to install kernel 4.18 :
sudo apt install --install-recommends linux-generic-hwe-18.04

Network card driver i40e :
- Linux 4.15 : Intel(R) Ethernet Connection XL710 Network Driver - version 2.1.14-k
- Linux 4.18 : Intel(R) Ethernet Connection XL710 Network Driver - version 2.3.2-k

Changed in linux (Ubuntu Bionic):
status: In Progress → Confirmed
Changed in linux (Ubuntu):
status: In Progress → Confirmed
Changed in linux (Ubuntu Bionic):
assignee: Joseph Salisbury (jsalisbury) → nobody
Changed in linux (Ubuntu):
assignee: Joseph Salisbury (jsalisbury) → nobody
Seth Forshee (sforshee) wrote :

fa38e30ac73 is already present in disco, I've added d5585b7b684. Marking as fix committed for the development kernel.

Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (14.1 KiB)

This bug was fixed in the package linux - 4.19.0-12.13

---------------
linux (4.19.0-12.13) disco; urgency=medium

  * linux: 4.19.0-12.13 -proposed tracker (LP: #1813664)

  * kernel oops in bcache module (LP: #1793901)
    - SAUCE: bcache: never writeback a discard operation

  * Disco update: 4.19.18 upstream stable release (LP: #1813611)
    - ipv6: Consider sk_bound_dev_if when binding a socket to a v4 mapped address
    - mlxsw: spectrum: Disable lag port TX before removing it
    - mlxsw: spectrum_switchdev: Set PVID correctly during VLAN deletion
    - net: dsa: mv88x6xxx: mv88e6390 errata
    - net, skbuff: do not prefer skb allocation fails early
    - qmi_wwan: add MTU default to qmap network interface
    - ipv6: Take rcu_read_lock in __inet6_bind for mapped addresses
    - net: clear skb->tstamp in bridge forwarding path
    - netfilter: ipset: Allow matching on destination MAC address for mac and
      ipmac sets
    - gpio: pl061: Move irq_chip definition inside struct pl061
    - drm/amd/display: Guard against null stream_state in set_crc_source
    - drm/amdkfd: fix interrupt spin lock
    - ixgbe: allow IPsec Tx offload in VEPA mode
    - platform/x86: asus-wmi: Tell the EC the OS will handle the display off
      hotkey
    - e1000e: allow non-monotonic SYSTIM readings
    - usb: typec: tcpm: Do not disconnect link for self powered devices
    - selftests/bpf: enable (uncomment) all tests in test_libbpf.sh
    - of: overlay: add missing of_node_put() after add new node to changeset
    - writeback: don't decrement wb->refcnt if !wb->bdi
    - serial: set suppress_bind_attrs flag only if builtin
    - bpf: Allow narrow loads with offset > 0
    - ALSA: oxfw: add support for APOGEE duet FireWire
    - x86/mce: Fix -Wmissing-prototypes warnings
    - MIPS: SiByte: Enable swiotlb for SWARM, LittleSur and BigSur
    - crypto: ecc - regularize scalar for scalar multiplication
    - arm64: perf: set suppress_bind_attrs flag to true
    - drm/atomic-helper: Complete fake_commit->flip_done potentially earlier
    - clk: meson: meson8b: fix incorrect divider mapping in cpu_scale_table
    - samples: bpf: fix: error handling regarding kprobe_events
    - usb: gadget: udc: renesas_usb3: add a safety connection way for
      forced_b_device
    - fpga: altera-cvp: fix probing for multiple FPGAs on the bus
    - selinux: always allow mounting submounts
    - ASoC: pcm3168a: Don't disable pcm3168a when CONFIG_PM defined
    - scsi: qedi: Check for session online before getting iSCSI TLV data.
    - drm/amdgpu: Reorder uvd ring init before uvd resume
    - rxe: IB_WR_REG_MR does not capture MR's iova field
    - efi/libstub: Disable some warnings for x86{,_64}
    - jffs2: Fix use of uninitialized delayed_work, lockdep breakage
    - clk: imx: make mux parent strings const
    - pstore/ram: Do not treat empty buffers as valid
    - media: uvcvideo: Refactor teardown of uvc on USB disconnect
    - powerpc/xmon: Fix invocation inside lock region
    - powerpc/pseries/cpuidle: Fix preempt warning
    - media: firewire: Fix app_info parameter type in avc_ca{,_app}_info
    - ASoC: use dma_ops of parent device for acp_audio_dma
    - media: ve...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released

Any update on a Bionic fix?

Stefan Bader (smb) on 2019-02-19
Changed in linux (Ubuntu Cosmic):
status: New → Confirmed
importance: Undecided → High

We have a user who has been successfully running under load
with the test kernel provided here which was patched with
the following two commits:

"i40e: Fix for Tx timeouts when interface is brought up if DCB is enabled"
Commit: fa38e30ac73fbb01d7e5d0fd1b12d412fa3ac3ee

"i40e: prevent overlapping tx_timeout recover"
Commit: d5585b7b6846a6d0f9517afe57be3843150719da

The issue was hit while running on 4.15.0-38-generic #41~16.04.1-Ubuntu
on Xenial (the hwe kernel).

Symptoms include messages in the kernel log of the form:

[4733544.982116] i40e 0000:18:00.1 eno2: tx_timeout: VSI_seid: 390, Q 6, NTC: 0x1a0, HWB: 0x66, NTU: 0x66, TAIL: 0x66, INT: 0x0
[4733544.982119] i40e 0000:18:00.1 eno2: tx_timeout recovery level 1, hung_queue 6
[4733572.116270] i40e 0000:18:00.1 eno2: tx_timeout: VSI_seid: 390, Q 2, NTC: 0x49, HWB: 0x123, NTU: 0x123, TAIL: 0x123, INT: 0x0
[4733572.116272] i40e 0000:18:00.1 eno2: tx_timeout recovery level 1, hung_queue 2

Leading to Kafka server issues, etc.

We are fairly confident this is the same as the original reporter,
and we'd like to use this bug to proceed on the stable release update process.

Changed in linux (Ubuntu Bionic):
assignee: nobody → Nivedita Singhvi (niveditasinghvi)
Changed in linux (Ubuntu Cosmic):
assignee: nobody → Nivedita Singhvi (niveditasinghvi)
Changed in linux (Ubuntu Bionic):
status: Confirmed → In Progress
Changed in linux (Ubuntu Cosmic):
status: Confirmed → In Progress
description: updated
tags: added: bionic cosmic

Submitted SRU request

Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Cosmic):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-cosmic' to 'verification-done-cosmic'. If the problem still exists, change the tag 'verification-needed-cosmic' to 'verification-failed-cosmic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-cosmic
tags: added: verification-needed-bionic

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

I have installed and booted to this kernel, and ensured no
new regression introduced, although I cannot repro the issue.

tags: added: verification-done-bionic verification-done-cosmic
removed: 4.15.0-24-generic cosmic kernel verification-needed-bionic verification-needed-cosmic
description: updated
Po-Hsu Lin (cypressyew) on 2019-04-08
tags: added: cosmic
Launchpad Janitor (janitor) wrote :
Download full text (6.9 KiB)

This bug was fixed in the package linux - 4.18.0-18.19

---------------
linux (4.18.0-18.19) cosmic; urgency=medium

  * linux: 4.18.0-18.19 -proposed tracker (LP: #1822796)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
    - [Packaging] resync retpoline extraction

  * 3b080b2564287be91605bfd1d5ee985696e61d3c in ubuntu_btrfs_kernel_fixes
    triggers system hang on i386 (LP: #1812845)
    - btrfs: raid56: properly unmap parity page in finish_parity_scrub()

  * [SRU][B/C/OEM]IOMMU: add kernel dma protection (LP: #1820153)
    - ACPI / property: Allow multiple property compatible _DSD entries
    - PCI / ACPI: Identify untrusted PCI devices
    - iommu/vt-d: Force IOMMU on for platform opt in hint
    - iommu/vt-d: Do not enable ATS for untrusted devices
    - thunderbolt: Export IOMMU based DMA protection support to userspace
    - iommu/vt-d: Disable ATS support on untrusted devices

  * Huawei Hi1822 NIC has poor performance (LP: #1820187)
    - net-next: hinic: fix a problem in free_tx_poll()
    - hinic: remove ndo_poll_controller
    - net-next/hinic: add checksum offload and TSO support
    - hinic: Fix l4_type parameter in hinic_task_set_tunnel_l4
    - net-next/hinic:replace multiply and division operators
    - net-next/hinic:add rx checksum offload for HiNIC
    - net-next/hinic:fix a bug in set mac address
    - net-next/hinic: fix a bug in rx data flow
    - net: hinic: fix null pointer dereference on pointer hwdev
    - hinic: optmize rx refill buffer mechanism
    - net-next/hinic:add shutdown callback
    - net-next/hinic: replace disable_irq_nosync/enable_irq

  * [CONFIG] please enable highdpi font FONT_TER16x32 (LP: #1819881)
    - Fonts: New Terminus large console font
    - [Config]: enable highdpi Terminus 16x32 font support

  * [19.04 FEAT] qeth: Enhanced link speed - kernel part (LP: #1814892)
    - s390/qeth: report 25Gbit link speed

  * Avoid potential memory corruption on HiSilicon SoCs (LP: #1819546)
    - iommu/arm-smmu-v3: Avoid memory corruption from Hisilicon MSI payloads

  * CVE-2017-5715
    - x86/speculation: Apply IBPB more strictly to avoid cross-process data leak
    - x86/speculation: Propagate information about RSB filling mitigation to sysfs
    - x86/speculation: Add RETPOLINE_AMD support to the inline asm CALL_NOSPEC
      variant
    - x86/retpoline: Make CONFIG_RETPOLINE depend on compiler support
    - x86/retpoline: Remove minimal retpoline support
    - x86/speculation: Update the TIF_SSBD comment
    - x86/speculation: Clean up spectre_v2_parse_cmdline()
    - x86/speculation: Remove unnecessary ret variable in cpu_show_common()
    - x86/speculation: Move STIPB/IBPB string conditionals out of
      cpu_show_common()
    - x86/speculation: Disable STIBP when enhanced IBRS is in use
    - x86/speculation: Rename SSBD update functions
    - x86/speculation: Reorganize speculation control MSRs update
    - sched/smt: Make sched_smt_present track topology
    - x86/Kconfig: Select SCHED_SMT if SMP enabled
    - sched/smt: Expose sched_smt_present static key
    - x86/speculation: Rework SMT state change
    - x86/l1tf: Show actual SMT state
    - x86/speculation: R...

Read more...

Changed in linux (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (14.6 KiB)

This bug was fixed in the package linux - 4.15.0-48.51

---------------
linux (4.15.0-48.51) bionic; urgency=medium

  * linux: 4.15.0-48.51 -proposed tracker (LP: #1822820)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
    - [Packaging] resync retpoline extraction

  * 3b080b2564287be91605bfd1d5ee985696e61d3c in ubuntu_btrfs_kernel_fixes
    triggers system hang on i386 (LP: #1812845)
    - btrfs: raid56: properly unmap parity page in finish_parity_scrub()

  * [P9][LTCTest][Opal][FW910] cpupower monitor shows multiple stop Idle_Stats
    (LP: #1719545)
    - cpupower : Fix header name to read idle state name

  * [amdgpu] screen corruption when using touchpad (LP: #1818617)
    - drm/amdgpu/gmc: steal the appropriate amount of vram for fw hand-over (v3)
    - drm/amdgpu: Free VGA stolen memory as soon as possible.

  * [SRU][B/C/OEM]IOMMU: add kernel dma protection (LP: #1820153)
    - ACPICA: AML parser: attempt to continue loading table after error
    - ACPI / property: Allow multiple property compatible _DSD entries
    - PCI / ACPI: Identify untrusted PCI devices
    - iommu/vt-d: Force IOMMU on for platform opt in hint
    - iommu/vt-d: Do not enable ATS for untrusted devices
    - thunderbolt: Export IOMMU based DMA protection support to userspace
    - iommu/vt-d: Disable ATS support on untrusted devices

  * Add basic support to NVLink2 passthrough (LP: #1819989)
    - powerpc/powernv/npu: Do not try invalidating 32bit table when 64bit table is
      enabled
    - powerpc/powernv: call OPAL_QUIESCE before OPAL_SIGNAL_SYSTEM_RESET
    - powerpc/powernv: Export opal_check_token symbol
    - powerpc/powernv: Make possible for user to force a full ipl cec reboot
    - powerpc/powernv/idoa: Remove unnecessary pcidev from pci_dn
    - powerpc/powernv: Move npu struct from pnv_phb to pci_controller
    - powerpc/powernv/npu: Move OPAL calls away from context manipulation
    - powerpc/pseries/iommu: Use memory@ nodes in max RAM address calculation
    - powerpc/pseries/npu: Enable platform support
    - powerpc/pseries: Remove IOMMU API support for non-LPAR systems
    - powerpc/powernv/npu: Check mmio_atsd array bounds when populating
    - powerpc/powernv/npu: Fault user page into the hypervisor's pagetable

  * Huawei Hi1822 NIC has poor performance (LP: #1820187)
    - net-next: hinic: fix a problem in free_tx_poll()
    - hinic: remove ndo_poll_controller
    - net-next/hinic: add checksum offload and TSO support
    - hinic: Fix l4_type parameter in hinic_task_set_tunnel_l4
    - net-next/hinic:replace multiply and division operators
    - net-next/hinic:add rx checksum offload for HiNIC
    - net-next/hinic:fix a bug in set mac address
    - net-next/hinic: fix a bug in rx data flow
    - net: hinic: fix null pointer dereference on pointer hwdev
    - hinic: optmize rx refill buffer mechanism
    - net-next/hinic:add shutdown callback
    - net-next/hinic: replace disable_irq_nosync/enable_irq

  * [CONFIG] please enable highdpi font FONT_TER16x32 (LP: #1819881)
    - Fonts: New Terminus large console font
    - [Config]: enable highdpi Terminus 16x32 font support

  * [19.04 FEAT] qeth: Enhanced link...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers